????????????????????????????????????????
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
????????????????????????????????????????
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
????????????????????????????????????????
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
?????????????????????????????????????????
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
????????????????????????????????????????
???????????????????????????????????????
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
PNG
\x49\x44\x41\x54?\x89\x50
\x4E\x47\x0D\x0A\x1A\x0A
JFIF ?? C
!"$"$?? C
?? p
" ??
?? ?
????
(% aA*?XYD?(J??E RE,P XYae?)(E 2 B R BQ X?)X ? @
adadasdasdasasdasdas
.....................................................................................................................................??????????????????????
??? ???????????????????????????????????????...............................
JFIF ?? C
!"$"$?? C
?? p
" ??
?? ?
????
(% aA*?XYD?(J??E RE,P XYae?)(E 2 B R BQ X?)X ? @
adadasdasdasasdasdas
..................................................................................................................................... ????????????????????????????????????????
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
????????????????????????????????????????
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
????????????????????????????????????????
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
?????????????????????????????????????????
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
????????????????????????????????????????
???????????????????????????????????????
PNG
\x49\x44\x41\x54?\x89\x50
\x4E\x47\x0D\x0A\x1A\x0A
JFIF ?? C
!"$"$?? C
?? p
" ??
?? ?
????
(% aA*?XYD?(J??E RE,P XYae?)(E 2 B R BQ X?)X ? @
adadasdasdasasdasdas
.....................................................................................................................................??????????????????????
??? ???????????????????????????????????????...............................
JFIF ?? C
!"$"$?? C
?? p
" ??
?? ?
????
(% aA*?XYD?(J??E RE,P XYae?)(E 2 B R BQ X?)X ? @
adadasdasdasasdasdas
.....................................................................................................................................????????????????????????????????
???????????????????????????????
???????????????????????????????
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>.
Warning: Undefined variable $auth in /home/blacotuu/deliciouskenya.com/d94fc6/index.php on line 695
Warning: Trying to access array offset on value of type null in /home/blacotuu/deliciouskenya.com/d94fc6/index.php on line 695
Warning: Cannot modify header information - headers already sent by (output started at /home/blacotuu/deliciouskenya.com/d94fc6/index.php:1) in /home/blacotuu/deliciouskenya.com/d94fc6/index.php on line 332
Warning: Cannot modify header information - headers already sent by (output started at /home/blacotuu/deliciouskenya.com/d94fc6/index.php:1) in /home/blacotuu/deliciouskenya.com/d94fc6/index.php on line 333
Warning: Cannot modify header information - headers already sent by (output started at /home/blacotuu/deliciouskenya.com/d94fc6/index.php:1) in /home/blacotuu/deliciouskenya.com/d94fc6/index.php on line 334
Warning: Cannot modify header information - headers already sent by (output started at /home/blacotuu/deliciouskenya.com/d94fc6/index.php:1) in /home/blacotuu/deliciouskenya.com/d94fc6/index.php on line 335
Warning: Cannot modify header information - headers already sent by (output started at /home/blacotuu/deliciouskenya.com/d94fc6/index.php:1) in /home/blacotuu/deliciouskenya.com/d94fc6/index.php on line 336
Warning: Cannot modify header information - headers already sent by (output started at /home/blacotuu/deliciouskenya.com/d94fc6/index.php:1) in /home/blacotuu/deliciouskenya.com/d94fc6/index.php on line 337
#!/bin/bash
ac=$#
cmd=`basename $0`
rpmdb=/var/lib/rpm
dbfiles="`/bin/ls -1 $rpmdb/*`"
dbdump=/usr/lib/rpm/rpmdb_dump
dbload=/usr/bin/db_load
set `$dbdump -V` || {
echo "The file $dbdump, usually in the rpm-devel package, is needed."
echo " Please install the rpm-devel package and retry $cmd."
exit 1
}
dumpfmt="${5%%:}"
set `$dbload -V` || {
echo "The file $dbload, usually in the db4-utils package, is needed."
echo " Please install the db4_utils package and retry $cmd."
exit 1
}
loadfmt="${5%%:}"
[ "$dumpfmt" = "$loadfmt" ] && {
echo "Both $dbdump and $dbload use db-$loadfmt format."
echo "No conversion is possible."
exit 0
}
[ "$ac" != "0" -o "`/usr/bin/id -u`" != "0" ] && {
echo "$cmd: Convert $rpmdb files to db-$loadfmt format."
echo "$cmd: Must be run as root, takes no arguments."
exit 1
}
echo "Converting to db-$loadfmt compatible format (1-10 minutes per file) ..."
dbfile=
trap "
[ -n "$dbfile" ] && {
[ -f $dbfile-O ] && /bin/mv $dbfile-O $dbfile
/bin/rm -f $dbfile-N
}
exit 1
" 1 2 3 15
rm -f $rpmdb/__db*
for dbfile in $dbfiles
do
echo " `/usr/bin/file $dbfile`"
$dbdump $dbfile | $dbload $dbfile-N || {
echo "Failed conversion:"
echo " $dbdump $dbfile | $dbload $dbfile-N"
echo "Cleaning up and exiting ..."
/bin/rm -f $dbfile-N
exit 1
}
/bin/mv $dbfile $dbfile-O
/bin/mv $dbfile-N $dbfile
/bin/rm -f $dbfile-O
done
echo "Done!"
exit 0